Package com.arms.api.globaltreemap.controller

## Class GlobalTreeMapController

- java.lang.Object
- - com.arms.api.globaltreemap.controller.TreeMapAbstractController
  - - com.arms.api.globaltreemap.controller.GlobalTreeMapController

-     @RequestMapping("/arms/globaltreemap")
      @RestController
      public class GlobalTreeMapController
      extends TreeMapAbstractController

- - ### Field Summary

    - ### Fields inherited from class com.arms.api.globaltreemap.controller.TreeMapAbstractController

      `globalTreeMapService, modelMapper`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GlobalTreeMapController()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.springframework.http.ResponseEntity<?>` | `getConnectInfo_pdService_pdServiceVersion_jiraProject​(GlobalTreeMapDTO globalTreeMapDTO, org.springframework.ui.ModelMap model, javax.servlet.http.HttpServletRequest request)` |
    `org.springframework.http.ResponseEntity<?>` | `setConnectInfo_pdService_pdServiceVersion_jiraProject​(GlobalTreeMapDTO globalTreeMapDTO, org.springframework.ui.ModelMap model, javax.servlet.http.HttpServletRequest request)` |

    - ### Methods inherited from class com.arms.api.globaltreemap.controller.TreeMapAbstractController

      `addGlobalTreeMap, alterGlobalTreeMap, deleteMapList, findMap, findMapList, getAllGlobalTreeMap, removeGlobalTreeMap, saveMapList, saveMapOne`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GlobalTreeMapController

          public GlobalTreeMapController()

  - ### Method Detail

    - #### getConnectInfo_pdService_pdServiceVersion_jiraProject

          @ResponseBody
          @RequestMapping(value="/getConnectInfo/pdService/pdServiceVersion/jiraProject.do",
                          method=GET)
          public org.springframework.http.ResponseEntity<?> getConnectInfo_pdService_pdServiceVersion_jiraProject​(GlobalTreeMapDTO globalTreeMapDTO,
                                                                                                                  org.springframework.ui.ModelMap model,
                                                                                                                  javax.servlet.http.HttpServletRequest request)
                                                                                                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### setConnectInfo_pdService_pdServiceVersion_jiraProject

          @ResponseBody
          @RequestMapping(value="/setConnectInfo/pdService/pdServiceVersion/jiraProject.do",
                          method=POST)
          public org.springframework.http.ResponseEntity<?> setConnectInfo_pdService_pdServiceVersion_jiraProject​(GlobalTreeMapDTO globalTreeMapDTO,
                                                                                                                  org.springframework.ui.ModelMap model,
                                                                                                                  javax.servlet.http.HttpServletRequest request)
                                                                                                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`